#!/bin/sh -e

if [ ! -e /etc/xml/catalog ]; then
    xmlcatalog --noout --create /usr/local/etc/xml/catalog
fi
xmlcatalog --noout --add "delegatePublic" \
    "-//OASIS//ENTITIES DocBook XML" \
    "file:///usr/local/etc/xml/docbook" \
    /usr/local/etc/xml/catalog
xmlcatalog --noout --add "delegatePublic" \
    "-//OASIS//DTD DocBook XML" \
    "file:///usr/local/etc/xml/docbook" \
    /usr/local/etc/xml/catalog
xmlcatalog --noout --add "delegateSystem" \
    "http://www.oasis-open.org/docbook/" \
    "file:///usr/local/etc/xml/docbook" \
    /usr/local/etc/xml/catalog
xmlcatalog --noout --add "delegateURI" \
    "http://www.oasis-open.org/docbook/" \
    "file:///usr/local/etc/xml/docbook" \
    /usr/local/etc/xml/catalog
